View Issue Details

IDProjectCategoryLast Update
0020691AI War 2[All Projects] Bug - GameplayMar 9, 2019 5:13 pm
Reporterwm46Assigned ToDune 
Severityminor 
Status closedResolutionno change required 
Product Version0.804 Hack Me Quickly 
Fixed in VersionBETA 0.850 The Arrival of Fleets 
Summary0020691: Starship factory produces multiple ships at once
DescriptionIt appears that when a starship dies, a factory will start building a replacement even if it is currently building another starship at that time.

This can lead to metal starvation, as that factory is now consuming 3x the metal, and each engineer is providing 3x the metal in help.

Picture: https://steamcommunity.com/sharedfiles/filedetails/?id=1547410106

No idea how reproducible this bug is yet, just noticed it now.
TagsNo tags attached.

Activities

Dune

Oct 26, 2018 11:33 am

administrator   ~0050340

Okay. Can you send a saved game if you see this happen again?

wm46

Oct 26, 2018 2:17 pm

reporter   ~0050348

For some reason, I can't upload files to this site. The file shows in the upload area, and gets an upload bar that never fills.

But I can reproduce the glitch reliably now, though it seems I was mistaken in thinking it was taking multiple of metal. To reproduce this glitch you must have 2 things:

1. The ship that gets destroyed must have a ship cap of only 1
2. The ship that gets destroyed must have a "sorting index" less than the other ships In construction (appear to the top left of others in docks panel)

So to reproduce this, you can open up any save where you have no starship upgrades, build a Plasma and Assault starship, and then scrap them in the order Plasma -> Assault. You will see that the dock will start to construct the plasma part way, then switch to constructing the assault starship. This seems extendable to include all starships as long as they have a cap of 1, so you can create the glitch with something like Warbird -> Carrier -> Plasma -> Shield -> Assault, or in whatever descending index is between these ships.

RocketAssistedPuffin

Mar 9, 2019 5:13 pm

developer   ~0050967

Starship Constructors are being removed next update. There's a new system for this anyhow that'll probably deal with this problem.

Issue History

Date Modified Username Field Change
Oct 25, 2018 3:48 am wm46 New Issue
Oct 26, 2018 11:33 am Dune Assigned To => Dune
Oct 26, 2018 11:33 am Dune Status new => acknowledged
Oct 26, 2018 11:33 am Dune Note Added: 0050340
Oct 26, 2018 2:17 pm wm46 Note Added: 0050348
Mar 9, 2019 5:13 pm RocketAssistedPuffin Status acknowledged => closed
Mar 9, 2019 5:13 pm RocketAssistedPuffin Resolution open => no change required
Mar 9, 2019 5:13 pm RocketAssistedPuffin Fixed in Version => BETA 0.850 The Arrival of Fleets
Mar 9, 2019 5:13 pm RocketAssistedPuffin Note Added: 0050967